/// <reference types="node" />
import EventEmitter from 'events';
import { Client } from '@elastic/elasticsearch';
import { BulkOptions } from './bulk-options';
export default class BulkSender extends EventEmitter {
    client: Client;
    timeout: NodeJS.Timeout;
    flushing: boolean;
    delayMillis: number;
    size: number;
    buffer: any[];
    constructor(client: Client, { delay, size }?: BulkOptions);
    filled(): boolean;
    isFlushing(): boolean;
    delay(): void;
    flush(): void;
    push(...args: any[]): boolean;
}
