import BulkSender from './bulk-sender';
import { Document } from 'mongoose';
import { PluginOptions } from './plugin-options';
import { MongoosearchMethods } from './mongoosearch-methods';
export declare function getIndexName(collectionName: string): string;
export declare const esOptions: (options: any) => () => PluginOptions & {
    bulker: BulkSender;
    mapping: Record<string, any>;
};
export declare type Updater = {
    /**
     * Fields to be removed.
     */
    unset?: string[];
} | false;
export declare function esIndex(this: MongoosearchMethods & Document, update?: Updater): Promise<import("@elastic/elasticsearch/lib/api/types").WriteResponseBase>;
