"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.esCount = void 0;
const lodash_1 = require("lodash");
async function esCount(query = null, options = {}) {
    var _a, _b;
    const self = this;
    const esOptions = self.esOptions();
    const countOnly = (_b = (_a = options === null || options === void 0 ? void 0 : options.countOnly) !== null && _a !== void 0 ? _a : esOptions.countOnly) !== null && _b !== void 0 ? _b : false;
    const params = {
        index: esOptions.index,
    };
    if (!(0, lodash_1.isEmpty)(query)) {
        if ((0, lodash_1.isString)(query)) {
            params.q = query;
        }
        else {
            params.body = query.query ? query : { query };
        }
    }
    const result = await esOptions.client.count(params);
    return countOnly ? result === null || result === void 0 ? void 0 : result.count : result;
}
exports.esCount = esCount;
//# sourceMappingURL=es-count.js.map