"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.esExists = void 0;
const utils_1 = require("../utils");
const chalk_1 = __importDefault(require("chalk"));
async function esExists() {
    const { client, index } = this.esOptions();
    try {
        const result = await client.indices.exists({
            index,
        });
        (0, utils_1.esLog)(`index ${chalk_1.default.cyan(index)}`, result ? chalk_1.default.green `exists` : chalk_1.default.red `does not exist`);
        return result;
    }
    catch (error) {
        return false;
    }
}
exports.esExists = esExists;
//# sourceMappingURL=es-exists.js.map